commit 103a3a3c9815ad838596440cdf7799f8ac2665b2
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Dec 26 07:32:31 2016 -0800

    Release 1.10.
    
     * Set date in man page by hand. Closes: 845524.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4ad288c116f0bd902e3638079020558dd92095d9
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Dec 26 07:30:39 2016 -0800

    Set date in manual page by hand. Debian bug 845524.
    
    Don't automatically compute this so that the build doesn't depend on
    the current time.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7685ee0a329a481b0b3bff925e36dc8a302b2b4f
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Sep 20 02:35:20 2016 -0700

    Version 1.9

commit 3f808b285158453f537d694bc27d72e10ee034a6
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Sep 21 11:37:38 2016 +0300

    Fix lintian issues
    
    section was lib instead of libs.
    libcairo-5c0 package had wrong name
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b9481db709f48241551a73c05af6e871ca087d07
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Sep 21 11:09:39 2016 +0300

    Switch to multiarch
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 50f32f0fd901c604dc9bc521af38380f9e0cc5c4
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Sep 21 11:09:16 2016 +0300

    Don't compress .5c files in debian install
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e6280906b7434f60ee6379301c44e2b9c728bc58
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Sep 21 09:43:53 2016 +0300

    Update reference images to adapt to current cairo rasterization
    
    Cairo changed how it draws things, update the reference images after
    verifying that they look reasonable still. Add a 'set-ref' target in
    the Makefile to automate this in the future.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c61b3aad199ba3ab6b7427d156ec2a8837f17b63
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Sep 21 09:42:47 2016 +0300

    Fix running the test suite
    
    automake changed and now explicitly uses bash to run the
    test. Start the script with #!/usr/bin/env nickle and make it
    executable so we can just run the script directly.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 3f01f661094f2407445a5d671e90c136eb86ef49
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Sep 21 09:37:29 2016 +0300

    Add connect-3 example to Makefile
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c7aef45a08b575bc82f7950eea5f0193a99510a8
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Sep 20 02:32:10 2016 -0700

    Protect repaint queue with mutex
    
    Two threads, one data structure.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 42b14d076ff682b877f3a420454d0c4deaadbbc5
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Sep 20 02:32:05 2016 -0700

    connect-3: Show score on screen

commit 1f6bcaaa1823f77e235167a7b283e74788e0be78
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Nov 6 14:19:29 2012 -0800

    Add connect-3 demo app
    
    "connect 3" in a 3x4 grid. Slightly more interesting than tic-tac-toe
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 54bf8907d1f96e44a3edd912abe6fe76572b5ad4
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Oct 14 10:11:14 2012 -0700

    Clean up debian source tarball.
    
    Commit cb9d9b47e8228ee7397b079920d172f1925f8aae tried to avoid using
    the autotools .tar.gz file by building the debian package directly in
    the source directory. This is a terrible mistake as dpkg-source will
    pick up whatever garbage is lying around.
    
    Instead, use the existing distdir target, which creates a clean source
    tree, and do the pdebuild there.
    
    Fixes bug #688056

commit cb9d9b47e8228ee7397b079920d172f1925f8aae
Author: Keith Packard <keithp@keithp.com>
Date:   Wed May 9 20:21:20 2012 -0700

    Fix 'debuild' target to not require a tarball
    
    Use the '-i' option to debuild to ignore revision control files; this
    allows the package to be built directly from the source directory.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit da0356073babbd5bbe534f2ab61db2b6332fee51
Author: Keith Packard <keithp@keithp.com>
Date:   Wed May 9 16:43:31 2012 -0700

    Update version to 1.8
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6ace32f23167c0ea63959947948f83182bb0bcc0
Author: Keith Packard <keithp@keithp.com>
Date:   Wed May 9 14:59:08 2012 -0700

    Allow for significant pixel differences when doing image testing
    
    Running the same version of cairo on different architectures appears
    to generate significantly different output. This changes the pixel
    testing to allow for that, making this pass on both i386 and x86_64.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c5b6e2f006d9ec5bce7c09fafa4bab69a0ecb9ec
Author: Keith Packard <keithp@keithp.com>
Date:   Wed May 2 00:10:29 2012 -0700

    nichrome: add box-test.5c
    
    test box layout code without needing to install it.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a72294034a2751f10eb22fbf127f380ec35e8a37
Author: Keith Packard <keithp@keithp.com>
Date:   Wed May 2 00:10:14 2012 -0700

    nichrome: Add explicit 'span' entries in box widget items
    
    This replaces the (rather bogus) implicit spanning across missing
    items, which wasn't very useful because there wasn't any way to set
    which item spanned across those, and the implementation would actually
    have all adjacent items span, making a mess out of the layout.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 17ea02197d3a73991486d6d34e5b139f08720a85
Author: Keith Packard <keithp@keithp.com>
Date:   Wed May 2 00:07:52 2012 -0700

    nichrome: Skip recursive box resize
    
    There's no need to ask widgets *again* for their preferred sizes, once
    should suffice.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 66e17cd443793787bf6d5204f67bb8f682cbe435
Author: Keith Packard <keithp@keithp.com>
Date:   Tue May 1 22:50:05 2012 -0700

    nichrome: Add 'solid' widget
    
    This just fills itself with solid color; useful for seperators.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1979ce089a843e078168b5db42ae14ace880b09b
Author: Keith Packard <keithp@keithp.com>
Date:   Wed May 2 00:01:35 2012 -0700

    Rename chrometest.5c to nichrometest.5c
    
    and make it work too.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit a554d91f5941b530f3a46f7210a88cf1c565d2b0
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Apr 30 20:09:05 2012 -0700

    Update debian standards version
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit fd08e43275301923efabb18ffe1002984d885e87
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Apr 30 20:03:54 2012 -0700

    Version 1.7
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 146c878d9beb44c09f8cb3287e94db196404425c
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Apr 30 19:59:24 2012 -0700

    Switch to debhelper for debian packaging
    
    This reduces debian/rules to just a few lines
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 12e29ee80a1bf44bb43a3e17253ca7ad9e24d4ae
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Apr 30 19:53:46 2012 -0700

    Remove a set of quotes around the DISTCHECK_CONFIGURE_FLAGS
    
    And use the AM_ version. This deals with some change to automake, I assume.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1d4efe2834ebf40682286bd03fd878bc8bdf402c
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Apr 30 19:04:17 2012 -0700

    Cairo has changed, re-generate reference images and font extents
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6904b3590f1d5a65bf64cfe2e259bc10c523cd90
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Apr 30 17:18:43 2012 -0700

    Fix debian/rules to make build depend on configure
    
    configure is required before build will work
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 666a4376a05c33a8fb8e3d775c4c3f755b9c8daa
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Apr 30 17:18:09 2012 -0700

    Add new nichrome widgets to installed set
    
    Add border, textline and toggle.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 8965fce740913dc6759e85b29a88e639636c0ac6
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Mar 19 14:23:31 2012 -0700

    Reduce drawing by not forcing redraw on some events
    
    Mouse motion within a button, and within an object related to a
    scrollbar would cause unnecessary repaint activity.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 853715a6e4a96131be3eb7b7be940965e8e51a99
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Mar 19 11:30:59 2012 -0700

    Add Border widget
    
    Draws an outline around another widget
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 54c1aa254250cb73892ae823d6e5b23cd0f4c9b1
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Mar 19 11:26:40 2012 -0700

    Remove debug printf in text widget
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f1f3f1dbc913f97b5c9bbd055ee235fff5a61feb
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 14 11:06:53 2012 -0700

    Fix chrome example to work with new 2D box
    
    It's not quite compatible -- glue is now 2D as well...
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4f22e30171ee9fc3d4bab5df74d42c7b8bbc4d16
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 14 10:50:10 2012 -0700

    Replace 1d box widget with 2d box widget.
    
    This provides a 2d layout algorithm using a compatible API.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7bdfa4134326c451b475c3c7cabf9a9cea55f9b2
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 14 10:49:45 2012 -0700

    Add multi-line text display widget
    
    This doesn't have any editing abilities, but can display multiple
    lines of text in a single font.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 5995815f6bcce6e4826102dbd7a08f8fba968cb5
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 14 10:44:31 2012 -0700

    Rename Text widget to Textline
    
    This widget only handles a single line of text
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1c00b840bb86b31070e241ce993fc4cf501828b6
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Mar 14 10:39:10 2012 -0700

    Remove size from default font
    
    Let system default size select this value.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 28910e4559f34ab20b2debf3de0f6d3630d8dcde
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Mar 13 23:31:53 2012 -0700

    Remove not-quite-duplicate 'Nichrome::remove'. Add locking in remove
    
    There were two 'remove' functions in this namespace, which isn't
    good. Then, there wasn't any locking around the modification of the
    widgets array, which was dangerous
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit af0b02c2cf10b5b92105e114de897b1671cf2f3c
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Mar 13 11:16:56 2012 -0700

    Add 'remove' handlers
    
    This allows objects removed from a layout to be automatically removed
    from the related nichrome object.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c344ce551fc2069838d4e22398587dbb397291e1
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 8 11:18:54 2012 -0800

    Prevent window dimensions from being set to 0
    
    Check desired height and width and make sure they're not zero.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9bbfd9b10272e2ca2de6fec5c233f393bd1fee75
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Mar 5 08:30:01 2012 -0800

    add new cairo_status_t v alues.
    
    Oddly, after several years, this enum has grown a few new values
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit fc4a46a27a42f3d59720e43f64612c960d9af3c3
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Mar 3 17:18:34 2012 -0800

    Fix path in pdebuild --buildresult
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 054ac62073d695627c7f73472e3c349dfcbe02ad
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Mar 3 16:38:43 2012 -0800

    Update to version 1.6
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 64f8610870b953fd1722d3aa127f5224d043a229
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Mar 3 16:26:55 2012 -0800

    Hold nichrome.drawing mutex in xy_to_widget
    
    xy_to_widget uses outline_cr, so it needs to protect that from being
    destroyed by draw during resize.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit bdeeb20ed69f436e54e72dc9374dd7ec068c8a44
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Mar 3 16:26:01 2012 -0800

    Include build dependency on librsvg2-dev
    
    New dependency needs to be reflected in debian/control
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit c1be581f6ab307b1fca7c934831fe4ab9ccd8484
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Mar 3 16:24:59 2012 -0800

    Switch to 'pdebuild' instead of 'debuild'
    
    This uses pbuilder to verify that the package builds correctly from
    source
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit f07d1c4b74116cdf8f49fdf809a07a6b9c2495d3
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Mar 2 11:20:55 2012 -0800

    Check for recursive 'draw' calls and just bail
    
    May leave some changes for the next draw operation, but meh.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 725c50c5bdcb62e0d3da09e9a3fde70bcd9b034b
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Mar 2 11:20:22 2012 -0800

    Missing type declaration in Text::get_metrics
    
    'cr' argument ended up as 'poly', so no type checking would occur.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 7cdadbf90d125c8f91d9ad3d4166e83eb9213e7f
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Mar 2 11:19:59 2012 -0800

    Install scrollbar widget
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 9cb8ace9586deeb5fe70c95c5c3f9ee7cc0a8896
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 1 17:33:14 2012 -0800

    Add global key delivery function
    
    This can "grab" key strokes before the current focus widget sees them.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 4c267cd0ce8323ecfdcfe77d3c67e4b0a6249f1b
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 1 14:00:33 2012 -0800

    Add key callback to text widget
    
    Allows application to pre-screen keys headed for the text box
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 8826159c198574c1fb285df45800326fbdee62d0
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 1 13:59:23 2012 -0800

    Expose Nichrome::cairo to other namespaces
    
    Allows other users to create cairo structs
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 120dbc0e6a88d5b7fcbc53da5835943ca87f44a8
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 1 13:58:43 2012 -0800

    Add 'justify' control to label widget
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit cc1b0d415e57fc834590c66eba549e46c3e32231
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 1 13:58:19 2012 -0800

    Initialize strut when size and stretch are provided
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 1be8749b89ce4cf6f582d8825c73cd082c6fb812
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 1 12:14:06 2012 -0800

    Add Cairo::Surface::create_window_hidden and Cairo::Surface::set_window_shown
    
    These allow the application control over the visibility of the
    top-level window, making it possible to compute the preferred size of
    the window before displaying it.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 664647a07ca98b70ae165d0eaabe6f643c66fb25
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 1 12:13:25 2012 -0800

    Add 'strut' value to glue
    
    This defines the preferred orthogonal size for the glue which can be
    used to 'push' the box apart.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 078171ba2d3a3347188529102162c10dae23157c
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 29 22:47:49 2012 +1300

    Clean up debian build
    
    Add version 1.5 info
    update compat to 7
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 26e9813aca7125f51d2fae74a41850c0f0fd31f2
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 29 22:46:16 2012 +1300

    Get libtool version info to libtool command
    
    Make sure the resulting library actually uses the specified version
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e9815915e00d17c4d0efc1efe00907e9ff392090
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 29 22:45:27 2012 +1300

    Fix ChangeLog build instructions -- switch git-log to git log
    
    program changed name
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b5405948d3888e54d833e146326efff8b7d3c8ac
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 29 22:09:46 2012 +1300

    Add fob-logo demo
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 22337c88b48781731983134493b9927bd3e1b8e3
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 29 00:05:03 2012 +1300

    Remove debug printfs from nichrome
    
    Make the library quiet
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e5725bf660a7c3d0b0ad810541cb30a8b3ca4aaf
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 29 00:04:38 2012 +1300

    Set widget extents at init time
    
    In case the widget isn't active, this makes sure the extents are set
    even if the widget is never draw.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ca7b0e66dc6973c821e556f29c1bbf03ffdbc869
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Feb 27 15:07:04 2012 +1300

    Allow contained objects to be deactivated
    
    This eliminates them from display, layout and input.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit af95017d333909c957b10391d3fef23b965206dc
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 16:37:50 2012 +1300

    Make setgame and tic-tac-toe specify desired geometry for game
    
    Now that the window is resized to the natural size, it doesn't work to
    specify a 1x1 rectangle for the natural size of a widget.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e0a9d063d6b68bf3dd8492cb1ea7f074b663395a
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 26 16:37:12 2012 +1300

    Add Nichrome::Text::set_text
    
    Let an application set the contents of the text widget
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 76bf56f659e1cadf668c6428582d3e10c1c7b65b
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 22 00:17:55 2012 +1300

    Bunch of nichrome updates. All mashed together.
    
     * Box now resizes window at startup to prefered size
     * Add layout printing to help debug layout issues
     * Fix keyboard event parsing to use %x instead of %02x
     * Change a bunch of names inside the box code
     * Add set focus callback
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 622e885bad0883db9fba3639be376c45ac5064e7
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 22 00:15:31 2012 +1300

    Add Nichrome::resize
    
    Use the new Cairo::Surface::resize_window function to resize the
    application window.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 83e3ab2c0fc2a0bf6d1d05a71bf1deb44e32309f
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 22 00:14:25 2012 +1300

    Use Semaphore::count to check for pending events
    
    Instead of using Semaphore::test followed by Semaphore::signal, use
    the new Semaphore::count function to check for pending events.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit eaee98f7023603547f2e3b32909b42cb7da79309
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 22 00:13:20 2012 +1300

    Add Nichrome::remove
    
    This removes a widget from the current scene
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit adfab4f0f2146d7a653237229aaad8b66bd6d5b9
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 22 00:12:10 2012 +1300

    Add one-line text input widget
    
    Very simple for now.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit ed5c196a2c9143a938cd7312ea0e2fde06177f13
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Feb 22 00:11:01 2012 +1300

    Add Surface::resize_window
    
    Let the application request a new window size. The actual size won't
    be set until the configure notify event is returned from the server.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit e85a58b5039bdd5e8885f0057fd6ad5911b3ba40
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 11 16:24:46 2012 +1300

    Add more Rsvg functions
    
    new_from_string
    get_title
    get_desc
    get_metadata
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit 6f9bbcd47a19559873d9c1fa798e1e1ed72743c6
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 11 01:54:13 2012 +1300

    add librsvg-2.0 interface
    
    this allows SVG objects to be easily drawn from nickle
    
    Signed-off-by: Keith Packard <keithp@keithp.com>

commit b62b48541bd7e97c4efbed0620ca5839374e4661
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Mon Nov 28 22:38:24 2011 -0800

    Added aborting test in surface.c to avoid bogus exception

commit 564d813f0e2d43b40ab2c6f211baf280d4c3b061
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Mon Nov 28 22:37:57 2011 -0800

    hacked ac to get LT_AGE

commit 6b05e1ab3e359b1864130dced0f71419c07735a6
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Feb 12 09:09:16 2009 -0800

    Allow widget to resize itself

commit 22741429bdc32b6c4d2f5582d2b15d8b1b905a93
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Feb 12 09:08:58 2009 -0800

    Ignore buttons > 3

commit 3f5172309065540852e28551aa7ad8b46e0a03bd
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Mar 27 10:46:14 2008 -0700

    setgame: track nselected and card selected in highlight funcs

commit 073170eae39219e650173403df6cea402ea24c6b
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Mar 21 21:16:05 2008 -0700

    Bump to version 1.4. Update debian Build-depends
    
    This also adds automatic ChangeLog creation

commit 4b7476c90c56b2c1fa133e5eeef78ec5ef2146bf
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Mar 21 20:49:23 2008 -0700

    Name the toolkit 'nichrome' (thanks again, Bart).
    
    This patch also includes some random geometry adjustments, and the use of
    'lozenges' for buttons, toggles and scrollbars.

commit 7418ec7f067c4015fb632f9ee988b35120eaee8e
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Mar 21 13:03:37 2008 -0700

    Fix up all exception uses to match exception type signature.

commit 1655b26753a267b664abbadf616afec61dc606b4
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Mar 21 12:39:53 2008 -0700

    Generalize the box so it can hold any contained_t object.
    
    Boxes don't care what objects are inside of them, so let them hold arbitrary
    contained objects. This allows nesting of layout strategies.

commit e33cbd9ec07e7a89a8fd31e16aca60133f246a86
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 23 16:23:19 2008 +0100

    Update setgame.5c to respect new non-public APIs

commit 298ae5dc19e6372f525f6371bb5d1af77cc9422c
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Feb 22 14:49:11 2008 +0100

    Add stuff to .gitignore files

commit a2aacefe8573e6b151a47a99ab98f823c7fc3c12
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Feb 22 14:45:38 2008 +0100

    Add scrollbar widget.
    
    This widget isn't yes complete as it doesn't include line-by-line or
    page-by-page scrolling actions yet.

commit 1be4d7a19fbf744abadb71cc4333a0db264e6b22
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Feb 22 14:44:12 2008 +0100

    Switch chrome functions from 'public' to 'protected'.
    
    This makes the functions visible, but prevents them from being imported into
    the parent namespace. This encourages shorter function names without risking
    name collision.

commit 2636501d701b1683e9ff48a1ec9ca52eec9b3b63
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Feb 22 14:41:08 2008 +0100

    Separate gui destroy from free.
    
    Destroy calls only XDestroyWindow, leaving the rest of the gui object intact
    as the surface may still be referenced. When the surface is freed, the
    remaining bits of the gui object, including the X server connection, are
    freed.

commit edda0decc51981899844e8407953dac29ae56c2a
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Feb 21 13:23:49 2008 -0800

    Update for 1.3

commit 354cdb0316435996e9266e22bab95c098f1ed74d
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Feb 19 10:44:13 2008 -0800

    lozenge widget: Add text color, tighten up mouse bounds

commit 1346c7b79abca3ad042261dd4b6f6e2146039af8
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Feb 19 10:43:38 2008 -0800

    label widget: Add color, remove mouse sensitivity

commit cdeecdfe6ca4cc7c4500c321845dc19bf5c14e9a
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Feb 19 00:35:42 2008 -0800

    Keep nickle signals from getting delivered to X thread

commit fa8fa59619d5c959d667efbc78832fab5a41b4cf
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Feb 18 23:23:29 2008 -0800

    Use lozenge widget in examples

commit a04b7c6b34186a2afcee6f5307bbebf13c278ad9
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Feb 18 23:23:16 2008 -0800

    Interlock resize with redraw

commit 780adf6ebfa4a6f88b4b7d3e76191ba042d82934
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Feb 18 23:22:50 2008 -0800

    Expose Button::relabel call from Lozenge namespace

commit 61874f6c2076169cdb2c2867ad939b3591fd6b26
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Feb 18 23:21:21 2008 -0800

    Handle 'delete' event in spinman.5c example
    
    Correctly handle 'delete' event in spinman example by exiting.

commit c1eb987a90b9af10cffa72edd7ae5d8361cd64ce
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Feb 18 23:19:53 2008 -0800

    Replace gtk/glib code with pure xlib code.
    
    There's no reason cairo-5c should use gtk/glib; the original plan of
    wrapping gtk for cairo apps has been supplanted by the nickle-native Chrome
    toolkit.

commit 8d5bf62772244a1b19ec942cda7e91da75f29bd6
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Feb 18 14:56:23 2008 -0800

    rename gtk.c to xlib.c

commit 6aa0da39fa36bcd3bbec4924fdc0daad7a6a66b8
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 17 23:12:13 2008 -0800

    Add lozenge style button

commit aa5e1e8752fccd42921a9d97a00f18384b843888
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 17 23:11:49 2008 -0800

    Whine when chrome repaint has errors

commit c5ee8e44129c2e1487f75c684971cc68aa8124a5
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 17 23:11:10 2008 -0800

    Clean up label geometry

commit 8459b3c03ddd82aab531035fbe9bb7997a94c008
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Feb 17 23:10:54 2008 -0800

    Clean up button geometry and add color

commit a6ec2e7cbe2ea8635ef2330e231dedd2078ae20a
Author: Jens Petersen <juhpetersen@gmail.com>
Date:   Tue Feb 5 12:40:01 2008 -0800

    Add cairo-ft pkg-config module to find freetype includes.

commit fe4356fdb61f4633317eb419ce4e29f62db67803
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 30 00:22:25 2008 +1100

    Work around more extent function failure cases

commit 656dd7c87d2b495a47b575275ee1e7300da5830e
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 30 00:16:07 2008 +1100

    Add debian build dependency on gtk and glib

commit 7787e6fafb91e6d5aef98bdb7815cba21f44b8ba
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 30 00:14:36 2008 +1100

    Cairo doesn't set return extents value on broken cairo_t

commit 884fd1c8020186faa325bd179dada2fbaec75588
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jan 29 10:56:44 2008 +1100

    Add configure callback for widgets

commit 47bddf8e8d9873be6d03efa0ce04c8dbd4ae705f
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jan 28 23:24:24 2008 +1100

    Resize button widget when it gets a new label

commit 2cb8464f6b1bdebfd1ade3d10529c011bfb03d0f
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 27 00:58:43 2008 -0800

    cairo_surface_create_similar takes cairo_content_t, not cairo_format_t
    
    This is an old API change which was missed in cairo-5c.

commit d6888d34ff2797e2d9b16112becac2d80d6db673
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 24 23:02:03 2008 -0800

    use separate board in tic-tac-toe for best move computation

commit 11d68e29ca0047f204a01561872a6a0dd6913c3e
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jan 22 01:01:42 2008 -0800

    Prepare for release 1.2

commit 3d100476acd177d9b1a28048b52618da3cf82b52
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jan 22 00:52:28 2008 -0800

    Rework chrome layout code to handle widget resize.
    
    Abstract container/contained types so that contained objects know which
    object contains them. Now widgets can simply inform their container that the
    natural size has changed, and the container will re-compute the layout for
    the changed object and pass up a resize notification to it's container.
    
    Also includes a simpler chrome example now.

commit fbeffae89e4b6ba1af5b1518ba5bc115c49c7a9a
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 17 01:25:59 2008 -0800

    Nickle free order is non-deterministic, don't reference freed objects.
    
    Window surfaces point at tools point at gtk global state. Convert gtk global
    state to reference counted malloced storage to ensure it stays alive until
    tools are closed. Don't close down tools from the surface free function as
    the tool will be closed down by the nickle allocator automatically.

commit 7990e8373d31f56c0a8d98b548c042759131081f
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 17 01:03:40 2008 -0800

    Manage pixmap size in nickle thread instead of gtk thread.
    
    Executing the gtk resize callback could overlap with rendering
    causing partial results to appear in the output where rendering was sent to
    a pixmap in the process of being destroyed. This eliminates all use of gdk
    pixmaps and instead uses X pixmaps to avoid using gdk APIs from the nickle
    thread.

commit 43a0f14d39a7316690d97cd629452261eb6d9054
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jan 15 01:37:45 2008 -0800

    Remove unnecessary freetype2 module requirement

commit 694a09d81a417db62f0e56b6ec610e40238920f8
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jan 15 01:37:26 2008 -0800

    debian: install examples to /usr/share/doc

commit 5bcf26028e382abba8a8a01af15a5b0da9e30708
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jan 15 01:37:10 2008 -0800

    Add remaining examples to installed set

commit 1c0e5637379b31a8407b73a0056ceeb95a3e2a1f
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 13 22:16:12 2008 -0800

    Add release targets to Makefile.am

commit 5140e654a4fad096eacb62794e12f297bca457f3
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 13 22:02:04 2008 -0800

    Bump to version 1.1

commit 9311b6fa34cd88b1a11c9bb244225128bdf68c1c
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 13 21:56:50 2008 -0800

    Add simple event display example

commit ede706a88ccd59ce816558cbcfb7160887f9c884
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 13 21:56:30 2008 -0800

    Install chrome toolkit, fix distcheck to not use system nickle libdir

commit efc934506fffbe3fb0ebbac3d81b3b25c39da4be
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 13 21:49:39 2008 -0800

    Add very simple arc example

commit f3a6b4e02e81a558d480a3f466f15ece86d65b44
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 13 21:25:30 2008 -0800

    Rename chrome sub-namespace files to match nickle 2.66 requirements

commit 4f9c3c90365230da53ab6daab76200c104cff7ba
Merge: e318aa7 d0265f9
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 13 21:14:44 2008 -0800

    Merge chrome source code into main cairo-5c tree

commit d0265f9656ebd34b07076216ed814c821611f84a
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Jan 13 21:10:41 2008 -0800

    Move files into subdirectories.

commit 50ad2e5c450c4c41d5b8b428f807618b07a30672
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jan 12 11:54:55 2008 -0800

    Add New Game button

commit e318aa75f14d695ccc3a1e14639b9c336b635aa6
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 10 22:56:40 2008 -0800

    Cache translation from font name to cairo_font_face_t/size

commit 8bfa376613b251f13b487efbb6e2b9650778229d
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 10 22:55:56 2008 -0800

    Surface widths are real, not int

commit 8c5300fe4f2336ecae52a0fff4395b2eb8e58310
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 10 22:55:34 2008 -0800

    Export hsv/rgb conversion funcs

commit 362feaf90f34a17b53c84d43c08db4ae2eb64c7b
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 10 22:43:07 2008 -0800

    In setgame.5c, improve stripes, draw all sets in hint mode.

commit e9a6fedcaf6fda28cb391d6c8f485afc7b771ca7
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 10 11:38:35 2008 -0800

    Add init function to toggle namespace

commit e6c5cd14e7a036252e5d35926d5e31a581022701
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 9 17:17:09 2008 -0800

    Use Chrome::set_box in test.5c

commit d88cbcb3c9af178b1a379c90378fad9d0a87a6e3
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 9 17:15:43 2008 -0800

    Fix test to use new API

commit 427714fe1eb2095912bbe46afb231236be6bc4d7
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jan 8 23:45:35 2008 -0800

    Update move count after reshuffling

commit 3656c8e442f3cf7103ab62020287478f051dc0b5
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jan 8 23:19:37 2008 -0800

    Pend resize until event queue is empty

commit 305690ca0c0f537cf410fa70cbe9ea741c766abc
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jan 8 21:38:02 2008 -0800

    Add box layout, label widget, toggle widget and set game.

commit 324332bc1ebfc5e4997bd47e066e702afa26ea48
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jan 8 00:11:44 2008 -0800

    Handle mouse grabs better. Add outline function support. Lazy redraws.
    
    Lots more code to deal with mouse grabbing and multiple buttons.
    
    Switched from pure rectangle extents for widgets to paths,
    but using a rectangle to optimize hit tests.
    
    Made redraw happen only when the event queue is empty. This required a
    separate event reading thread so that pending events could be noticed.

commit e94a7e6b58baad79489bf2ce08a37d3efc3a84f8
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jan 7 01:14:28 2008 -0800

    Working button

commit b3327b97524855034fe3d854b2004ec7db81045b
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Jan 7 00:25:24 2008 -0800

    Initial code

commit f2d2db16d2d4de1990872802ef06951cefa43194
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 4 19:53:37 2008 -0800

    Make the tic-tac-toe example more fancy

commit 55464bd1a369410d35516a784f01ba2ab4e25bc6
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 4 01:16:56 2008 -0800

    Add 'set' game example.

commit d2a5cab787b14b4397ecba7dc005552daf9d27cc
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Jan 4 01:16:35 2008 -0800

    Add buttons to tic-tac-toe game.
    
    Add some simple buttons to explore widgets in nickle.

commit 002abbdd5af8c0f2223b5bca552e8859a8367ec5
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 3 23:01:44 2008 -0800

    Add keyboard support, including focus events.
    
    Key events deliver a keysym and a hex-encoded string

commit 9115a608a5f16546df428cf0818fb7980740736c
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jan 3 23:00:24 2008 -0800

    Oops, left cairo_copy_path_flat broken when cairo_copy_path was fixed.

commit 4e3c8600b3c50c93bbc9a67974a05440586b6054
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 2 18:38:03 2008 -0800

    Gdk returns extra events for double and triple click. Distinguish them.
    
    The button_press handler from gdk receives both regular press and
    double/triple click events. Send different event types up to the application
    for the double/triple events.

commit 6b8ceb5b87868d7a1a2d5bde98e5631d65bbeb89
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jan 1 15:38:07 2008 -0800

    Use libcairo-5c.so.0 in the dlopen call

commit 6c680eed3be1c5700c2a56698422dbeaddd072b9
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jan 1 13:46:12 2008 -0800

    Expand copyright file

commit 2b4dedc25a2fda4bfcfb6f46f8963ba98af31a3a
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jan 1 13:45:55 2008 -0800

    Fix debian build files to cope with library name change

commit 06e6d86edf0cba284b3a4b92b984c77c9dfd08de
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jan 1 13:44:27 2008 -0800

    Change library name back to libcairo-5c.so.
    
    While debian whines about .so names with hyphens, it's the natural name of
    the library and does work.

commit ed18c027300a79888868b27bb92230a9d5a673f3
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Dec 31 01:55:57 2007 -0800

    Add tic tac toe game

commit 199ac3df7d5270c430d68ebf73111d5eeb51b492
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Dec 31 01:55:39 2007 -0800

    Pass configure events to applications

commit 3fd66bc9e597e52323637e5b0d8fd4b87e73516a
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Dec 31 01:55:25 2007 -0800

    First line in animate demo was broken by previous $Id$ removal

commit fe12373a6d64f8043f5e3f144ff987b8c9af73ea
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Dec 30 00:33:31 2007 -0800

    Add text-extents test

commit 332cead41967fcc251d6c1fe4c4a0118cffd4725
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Dec 30 00:27:08 2007 -0800

    Add text-path test

commit fc97d8b3e37061fa2adc3179ae241ced9bd3a46e
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Dec 30 00:24:41 2007 -0800

    Add show-text test

commit 481e60abdea76bd396c7ae460714b0924935e3b1
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 23:28:01 2007 -0800

    Add set-font-matrix test

commit e93d31fb3f34679f9a11906b3d0645addb8a6c2e
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 23:22:57 2007 -0800

    Add more reference images to distribution

commit db44f83a36f2762a2b7fe1df3d672d13e6910edd
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 23:21:35 2007 -0800

    Add a few missing reference images

commit 5b75d020ae9aa5f7019ff2900aa37bc4a0024115
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 23:20:34 2007 -0800

    Add set-font-size test

commit cb39af0d8c7507fca16fafb04287a82db24b6c50
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 23:18:48 2007 -0800

    Add set-font test

commit 57d8443aa37d64965f14edd615185342c749cb91
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 23:12:12 2007 -0800

    Add mask test

commit 637d9afb06cad9c6efeb677efc3a56d5187d872c
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 21:24:42 2007 -0800

    Add rotate test

commit c0afb9d21cc8956340005c7abacb83a3920b874c
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 20:18:44 2007 -0800

    Add set-miter-limit test

commit 32f233d40552525d0f8cf37cf52e2c8192923155
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 20:14:43 2007 -0800

    Add set-line-join test

commit 21d67bd4146dd92ccec06fa4dbc41e2773697451
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 20:11:59 2007 -0800

    Add set-line-cap test

commit 98af2a3ad2448c8224c3acb6c89431c8a044d206
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 20:07:23 2007 -0800

    Add set-line-width test

commit 01abfb871618d0458864870d68af71f64f69e1f2
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 20:01:20 2007 -0800

    Add Pattern:create_rgb and Pattern::create_rgba functions.

commit f74bfbe822d93ff512c4271ad8149e38de27beb7
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 20:00:44 2007 -0800

    Add create-rgba, create-rgb, set-fill-rule, set-operator, set-source tests.

commit 15f9a58db9e37f6de480c8f3f943dacd1fd39a3a
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 19:07:22 2007 -0800

    Add reference pngs to distribution list

commit 1fe12b3027d1c1470be2222f3375599fdaf0c8b5
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 19:04:21 2007 -0800

    Add lots more tests.
    
    paint, set-operator, set-tolerance, get-line-cap, get-line-join,
    get-miter-limit, get-font-matrix and font-extents.

commit 06e28f898e2951620eee9d026af7924a3257269a
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 16:52:54 2007 -0800

    Add get-line-width and get-matrix tests.

commit a0f2156f11084a5a50609cf2276cf7f14c98391f
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 16:38:21 2007 -0800

    Add get-tolerance, get-current-point and get-fill-rule tests.

commit 93cde20902b67b8de047dfc176871d847080a8a4
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 16:22:50 2007 -0800

    Pattern::create_for_surface takes a surface_t, not a cairo_t.

commit efd42f4501b6d6b569994f66c06797a63be6adf1
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 16:22:21 2007 -0800

    Add set_source, get_operator and get_source tests.

commit 6109eba8b295e551c5b8240970e28807179beb1f
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 14:32:05 2007 -0800

    stroke_extents and fill_extents return rect_t, not array.

commit bb357f68edfd10aab4a69af0f77eff971c2d0990
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 14:31:10 2007 -0800

    Add stroke_extents and fill_extents tests

commit 293dc2742ddb1b4a18d5d0e57ebed64823ac50c6
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 14:07:21 2007 -0800

    Add clip test

commit d2697e3629b194b8e0e64822671099487ae5f87e
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 14:02:46 2007 -0800

    Add stroke_preserve test

commit c3ccda8a6c279d96447dc946364e44ddd491305b
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 14:01:01 2007 -0800

    Add fill-preserve test

commit 0533d634857368d07decf3a78d8d7e2446f0ff03
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 11:30:30 2007 -0800

    Add append_path test

commit 5de2b20f18ca4fe4a9646ab6f8f9d37e629f2e2c
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 11:30:16 2007 -0800

    path_t contains structures, not references to structures.

commit 991edf783f0c7db8b011aa3d5e45c2f180e0e034
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 11:17:34 2007 -0800

    Implement Cairo::append_path. Fix path_t type usage in path functions.
    
    append_path was lacking an actual implementation.
    
    copy_path/copy_path_flat return arrays of path_t, not a single
    path_t.
    
    append_path receives an array of path_t, not a single path_t.

commit e0a20f57ba38407316abf782e2fc838de023c3ea
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 00:42:46 2007 -0800

    Accidentally left nickle lintian override file in place

commit 35e93c567abe09d7a45277bfe2811bf09f28d498
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 29 00:03:32 2007 -0800

    Move library sources to src directory to force build order.
    
    If library sources are in the top directory, then 'make check' will not
    build the library before running the test suite. Oops.

commit 320860d04b1a30f9d8ce13017d2c86ed6d03f8fc
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Dec 28 23:40:43 2007 -0800

    Respect cairo configuration for optional surface types.
    
    Cairo need not be built with support for all surface types; make the nickle
    bindings mirror the cairo support.

commit 434f3e83ef0e19e2d6632646202c748ae1f5e882
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Dec 28 22:58:09 2007 -0800

    Add debian package building files

commit be1a11089ff48ca62a713634a1d8cf2e75e74506
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Dec 28 22:58:00 2007 -0800

    Update .gitignore

commit 07c7e6a472a9aaaf0f5c4c89f36e16af59e52437
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Dec 28 22:54:24 2007 -0800

    Clean up build process, add test suite.
    
    Prepare for distribution by cleaning up build process and code.
    
    Add Image::get_pixel/put_pixel for test suite usage.
    
    Rename .so to libcairo5c.so so that it doesn't try to include a dash in the
    name, which confuses debian package names
    
    Add simple man page.
    
    Fix image format support by adding enum.
    
    Rename configure.in to configure.ac so that --enable-maintainer-mode works.
    
    Fix numerous exception calls to follow exception parameter requirements.
    
    Lots of SVG bits that were missing from the previous commit. Oops.

commit 364399c134e0accf6a68caac2536d2469f164924
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Dec 28 22:49:44 2007 -0800

    Remove RCS Id lines from examples, along with #! lines.
    
    RCS $Id$ lines aren't very useful under git.
    Having #!/usr/bin/env nickle at the start of the examples isn't
    useful as they're not installed as executables.

commit dbc7915450fd36016260e55631042287240ceada
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Dec 28 22:46:30 2007 -0800

    Add SVG surface support

commit f3e647258dd9b94b3eb93d99798dbc62d7332fba
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Dec 28 15:13:05 2007 -0800

    copy_path/copy_path_flat causing array resize assertion failure.
    
    path_array was passing the wrong variable to ArrayResize. Oops.

commit ec7dcd09e41bc08f5d3dfb3e895141495590b41d
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Dec 28 15:09:33 2007 -0800

    Add .gitignore files

commit 7e88d0fd100709dbe99477e97386dd2d267e7583
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Fri Apr 6 01:13:24 2007 -0700

    Update led example to current cairo API

commit 0db4041522258b2e08e9df6b3d3ddc3cbdbad0a0
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Fri Apr 6 01:12:29 2007 -0700

    FcNameParse takes FcChar8 *, not char *

commit 6c1bc0d5369ea4ad29b9f864a1ad02d4afec2453
Author: Keith Packard <keithp@neko.keithp.com>
Date:   Fri Jul 7 21:44:02 2006 -0700

    Add PS surface support.
    
    namespace Cairo::Ps
    
    surface_t surface_create (string filename, real width, real height);
    surface_t surface_create_for_file (file f, real width, real height);

commit 80c31f1cbea398bb8dfd69c6f4a2354656b9a2bc
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Jan 25 22:20:27 2006 +0000

    Ick! Date format changes. Sigh.
    Oops -- wrong argument count for typeCairoRgbaColor constructor.

commit 1d309f26415ffaca3a3ec91832280ed901ca4db0
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Sep 16 02:34:45 2005 +0000

    Cairo now no longer implicitly adds fontconfig and freetype to include paths, so cairo-5c must explictly depend on them

commit dab12f45c911ece3698e3f5dc867669208ff5b6c
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Jul 9 23:40:55 2005 +0000

    Pass GtkPixmap objects around as they are reference counted. Use proposed new cairo_xlib_surface_set_drawable API to deal with window back-buffer resize issue.

commit bd53d5d74af120ad686313021f88ea8f7f9d4e11
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Jul 7 08:09:21 2005 +0000

    Match current cairo API. Use XInitThreads, as it's necessary for stable operation. Requires at least one bug fix not yet in Xlib CVS to work

commit be210da4bfc5cfe43f88ae8b37d2bc8fe17a0d06
Author: Bart Massey <bart@cs.pdx.edu>
Date:   Tue Jun 7 05:12:17 2005 +0000

    Add accumulated examples to the install list.

commit a85b45e0cab9d9fd76be50f4616d9c3a95bf7a96
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 7 05:09:35 2005 +0000

    Enum order and names changed in API shuffle.
    Create .png files by default

commit a4ddcac7003b0efaa0e427b956cc176c36e9607f
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Jun 7 03:41:36 2005 +0000

    Some locking changes. Still locks up from time to time.

commit 8c05c722441014b1bf2cf8b5bbbfa33173d59265
Author: Keith Packard <keithp@keithp.com>
Date:   Wed May 18 06:21:15 2005 +0000

    Another round of API changes for cairo 0.5, the putative final API structure.

commit 25f0ae0c8e3faaa56cfbf630138292e1c9fe47e1
Author: Keith Packard <keithp@keithp.com>
Date:   Mon May 2 20:24:38 2005 +0000

    Match cairo API as of today.
    Update examples to match API changes

commit 9cb0f3bfaa94047298400ca28ae7fb0d8b193c69
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Mar 14 21:52:22 2005 +0000

    Add a bunch more examples, including the LED image generation program used by the PSAS control software and the FOB logo used by http://fob.po8.org

commit 3f8d25dab60b1659352f14bce16ca8ff88c29115
Author: Keith Packard <keithp@keithp.com>
Date:   Mon Mar 14 21:43:06 2005 +0000

    Must explicitly reference desired backends
    Switch from deprecated functions to current ones
    Fix sizing from supplied pattern
    metrics got fixed.

commit 98e9893b55affdc126974fd858ac0e8858b2a0d0
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Feb 11 21:15:46 2005 +0000

    Add do_Cairo_copy_page and do_Cairo_show_page. Track whether copy_page/show_page have ever been called so that they can be when the surface is destroyed.
    Fix arc arguments
    dunno

commit da5247f5c58455fea9621f7e8750d25c3f8d4a53
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Dec 24 09:00:10 2004 +0000

    Handle window delete more gracefully; report exception on drawing, report 'delete' event to event reader. Have default surface creation code re-create a surface when the old default surface has been destroyed.

commit 09d496f8b14518ef35a7b1cc46e9cd84ce804359
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Dec 24 00:09:24 2004 +0000

    Destroy context to flush file
    call gdk_threads_leave on thread exit to release mutex

commit be6b02cc70f343c054f2b5ab49de975fe10f9e54
Author: Keith Packard <keithp@keithp.com>
Date:   Thu Dec 23 22:39:40 2004 +0000

    Split cairo_t and cairo_surface_t functions apart, permitting more complex programs to be written that use more than a single window. Switch allocations around to mostly use the nickle memory allocator now. Requires updated nickle bits that expose this change in the foreign object API.

commit 2a29be37c5cd4db6e59deaff02266af3b2789163
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Dec 19 03:04:24 2004 +0000

    Add -lpthread to link

commit 4ec37b250f32a8cc970ba050f23fed9b46920468
Author: Keith Packard <keithp@keithp.com>
Date:   Sun Dec 19 00:06:26 2004 +0000

    Add matrix operations
    Add set_font and transform_font interfaces
    use set_font interface
    Duplicate gstate in dup operator

commit ff1e408d22bc97f9975af630e6449ef471ce5b08
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 18 08:16:28 2004 +0000

    Fix examples to match API changes
    transforms take point_t, return point_t
    Add png loading, scratch surfaces and surface patterns

commit b31fe615f613a900603014810bb4cd2611afbd4e
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 18 01:09:40 2004 +0000

    Add gradient pattern support. Split out matrix support to share.

commit e2dca69aa97da2b31699db20050042814fe12bae
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Dec 17 09:50:16 2004 +0000

    Add HSV color space routine to cairo.5c

commit ef8bd2c91fa14f3092feb27536652c5d3baa78a7
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Dec 17 09:40:43 2004 +0000

    Add current_path/current_path_flat by creating nickle structure in C code holding the entire path and walking it in nickle code.
    ignore build files

commit affe80e636fee38b63b9a0b5a070eb8733fedcc3
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Dec 17 02:11:25 2004 +0000

    Install example nickle programs

commit 77593749f296520bbedaa492d096b7b865fc21ba
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Dec 17 02:10:21 2004 +0000

    Forgot to add this file to last commit

commit 4ceef4ae7a0d3783bcc3cec5385329ea91763ebd
Author: Keith Packard <keithp@keithp.com>
Date:   Fri Dec 17 02:09:45 2004 +0000

    Add cairo.5c and install it to nickle libary
    Add a bunch more bindings. Still more to do, especially the path walkers. Switch from int constants to enums for enumerated types.
    Add mouse input support.
    Change examples to use cairo.5c file with autoimport

commit a2924ed2ba25d08645d6d1fb886d233c7ed8e30c
Author: Keith Packard <keithp@keithp.com>
Date:   Wed Dec 15 07:04:50 2004 +0000

    Add enable/disable to take advantage of double buffering for smooth animation.
    Use enable/disable to smooth this animation out

commit 9aff1156a6030090ccd7e96a3be238dfe541a6b5
Author: Keith Packard <keithp@keithp.com>
Date:   Tue Dec 14 08:34:27 2004 +0000

    Replace lame Xlib-based output with more capable gtk+ based output, including backing storage and resize handling. Input still isn't hooked up.
    Add current_matrix and set_matrix functions; these only do affine matrices.
    Update examples to use installed library

commit 4771bfa273540d5df2b691844e3ae8399758ef5e
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 11 08:28:11 2004 +0000

    Replace hsv conversion functions with algorithms which use 0 <= h <= 1, 0 <= v <= 1 and 0 <= s <= 1. The algorithms are adapted from the Modula III versions found at: http://research.compaq.com/SRC/m3sources/html/color/src/Color.i3.html

commit acb3d5f7b38f69368c328fd6348e5c95a61902cc
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 11 07:45:42 2004 +0000

    Add text example
    Set return type of text_extents function correctly

commit 1de902d68bdfad0a5648ea09c9e2780955e94b3b
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Dec 11 06:26:52 2004 +0000

    Initial revision
